Bulk Clone Transforms
curl --request POST \
--url https://api.streamkap.com/transforms/bulk/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"select_all": false,
"filters": {
"source_id": "<string>",
"destination_id": "<string>"
},
"name_suffix": " (Copy)"
}
'import requests
url = "https://api.streamkap.com/transforms/bulk/clone"
payload = {
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"select_all": False,
"filters": {
"source_id": "<string>",
"destination_id": "<string>"
},
"name_suffix": " (Copy)"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [{id: '<string>', name: '<string>'}],
select_all: false,
filters: {source_id: '<string>', destination_id: '<string>'},
name_suffix: ' (Copy)'
})
};
fetch('https://api.streamkap.com/transforms/bulk/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"success": true,
"message": "<string>",
"data": {}
}
],
"summary": {
"total": 123,
"succeeded": 123,
"failed": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Transforms
Bulk Clone Transforms
Clone multiple transforms with new names in parallel. Supports two modes:
- Explicit items: Provide list of items with id and name for each clone
- Select all: Set select_all=true with optional filters and name_suffix
Returns partial success results - continues processing even if individual clones fail.
POST
/
transforms
/
bulk
/
clone
Bulk Clone Transforms
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request model for bulk clone operations.
Supports two modes:
- Explicit items: Provide list of items with id and name for each clone
- Select all: Set select_all=true with optional filters and name_suffix
List of entities to clone with their new names. Omit if using select_all=true.
Show child attributes
Show child attributes
If true, select all entities matching the filters
Optional filters when select_all=true
Show child attributes
Show child attributes
Suffix to append to original names when using select_all. Default: ' (Copy)'
Was this page helpful?
⌘I